asum(3)

NAME
asum - asum: sum | real( x_i ) | + | imag( x_i ) |

SYNOPSIS

  Functions
double precision function dasum (n, dx, incx)
DASUM
double precision function dzasum (n, zx, incx)
DZASUM
real function sasum (n, sx, incx)
SASUM
real function scasum (n, cx, incx)
SCASUM

Detailed Description

Function Documentation

  double precision function dasum (integer n, double precision, dimension(*) dx, integer incx)

DASUM

Purpose:

    !>
    !>    DASUM takes the sum of the absolute values.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    DX

    !>          DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of DX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 70 of file dasum.f.

  double precision function dzasum (integer n, complex*16, dimension(*) zx, integer incx)

DZASUM

Purpose:

    !>
    !>    DZASUM takes the sum of the (|Re(.)| + |Im(.)|)'s of a complex vector and
    !>    returns a double precision result.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    ZX

    !>          ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of ZX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 71 of file dzasum.f.

  real function sasum (integer n, real, dimension(*) sx, integer incx)

SASUM

Purpose:

    !>
    !>    SASUM takes the sum of the absolute values.
    !>    uses unrolled loops for increment equal to one.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    SX

    !>          SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of SX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 71 of file sasum.f.

  real function scasum (integer n, complex, dimension(*) cx, integer incx)

SCASUM

Purpose:

    !>
    !>    SCASUM takes the sum of the (|Re(.)| + |Im(.)|)'s of a complex vector and
    !>    returns a single precision result.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    CX

    !>          CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of SX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack, 3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 71 of file scasum.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.